package com.seer.teach.iot.admin.convert;

import com.seer.teach.iot.admin.req.AddVersionReq;
import com.seer.teach.iot.admin.resp.BeatVersionResp;
import com.seer.teach.iot.module.entity.IotVersionsEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 *
 * <p>
 *
 * </p >
 *
 * @author Captain
 * @since 2025-09-12 14:09
 */
@Mapper
public interface AdminVersionConvert {

    AdminVersionConvert INSTANCE = Mappers.getMapper(AdminVersionConvert.class);

    IotVersionsEntity toVersionEntity(AddVersionReq params);

    BeatVersionResp toBeatVersionResp(IotVersionsEntity version);

    List<BeatVersionResp> toBeatVersionRespList(List<IotVersionsEntity> versions);
}